Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet.mgmt
Interface AppletManagerCardService

All Superinterfaces:
  AppletAccessCardService, CardServiceInterface, SecureService

    public interface AppletManagerCardService

extends AppletAccessCardService, SecureService

The `AppletManagerCardService` interface defines a set of calls for the maintenance of multiple applets on a card. This includes creating, registering and deleting applets on a multi-applicative smartcard.

This interface is typically implemented for card technology handling multi-applet management different (e.g. EMV compliant cards, JavaCards, ...)

Since:
  OCF1.2
Version:
  $Id: AppletManagerCardService.java,v 1.1 1999/11/02 18:36:56 damke Exp $
Author:
  Reto Hermann (rhe@zurich.ibm.com), Thomas Stober (tms@de.ibm.com), Christophe.Muller@research.gemplus.com
See Also:
  `AppletInfo`, `AppletID`, `AppletCode`

Method Summary
`AppletInfo` | `installApplet(AppletCode appletCode)` Install an applet on the smart card.
`AppletInfo` | `registerApplet(AppletID appletID)` Register an applet on the smart card.
`AppletInfo` | `removeApplet(AppletID appletID)` Remove an applet from the smart card.

Methods inherited from interface opencard.opt.applet.mgmt.AppletAccessCardService
`exists, getInfo, list`

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Methods inherited from interface opencard.opt.security.SecureService
`provideCredentials`

Method Detail

### installApplet

    AppletInfo installApplet(AppletCode appletCode)
                             throws CardServiceException,
                                    CardTerminalException

  Install an applet on the smart card.

  Parameters:
    `appletCode` - The `AppletCode` representing the applet to be installed.
  Throws:
    `CardServiceException`
    `CardTerminalException`

### registerApplet

    AppletInfo registerApplet(AppletID appletID)
                              throws CardServiceException,
                                     CardTerminalException

  Register an applet on the smart card.

  Parameters:
    `appletID` - An `AppletID` representing the applet to be registered.
  Throws:
    `CardServiceException` - Thrown when error occurs during execution of the operation.
    `CardTerminalException`

### removeApplet

    AppletInfo removeApplet(AppletID appletID)
                            throws CardServiceException,
                                   CardTerminalException

  Remove an applet from the smart card.

  Parameters:
    `appletID` - The `AppletID` object referring to the applet to be removed.
  Throws:
    `CardServiceException` - Thrown when error occurs during execution of the operation.
    `CardTerminalException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD